Bug 1251291 - tar on a glusterfs mount displays "file changed as we read it" even though the file was not changed [NEEDINFO]
tar on a glusterfs mount displays "file changed as we read it" even though th...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
3.7.3
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Krutika Dhananjay
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 19:06 EDT by G Kuri
Modified: 2017-03-08 05:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-08 05:49:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kdhananj: needinfo? (gkuri)


Attachments (Terms of Use)

  None (edit)
Description G Kuri 2015-08-06 19:06:26 EDT
Description of problem:

tar command on the glusterfs mount point is seen to report the following error on some files -

tar: /usr/portage/app-accessibility/festival: file changed as we read it

Version-Release number of selected component (if applicable):

3.7.3

How reproducible:

Very Easily reproducible.

Steps to Reproduce:
1. tar czvf /tmp/foo.tgz /path/to/files/in/gluster/mountpoint


Actual results:

While the tar command is running, the above described messages are seen for many files.


Expected results:

tar should run without seeing the above messages

Additional info:

Also, while editing files using vi in a gluster mountpoint, vi exhibits "The file changed since the last time it was read, when going to save the file."
Comment 1 G Kuri 2015-08-06 19:07:24 EDT
Bug ID 1212842 was originally opened by someone else for this problem, but was closed by the developers as being fixed, but it's not fixed, the problem still exists.

    https://bugzilla.redhat.com/show_bug.cgi?id=1212842
Comment 2 Krutika Dhananjay 2016-01-13 01:58:00 EST
Hi Kuri,

Couple of questions:

1) Were files under modification while tar was running because of IO from the applications?

2) If the answer to 1) is a "No", did you enable cluster.consistent-metadata on the volume, unmount, remount the volume and then try running tar again? If not, could you do that?
Here's how you enable consistent-metadata:
# gluster volume set <VOL> cluster.consistent-metadata on

-Krutika
Comment 3 Kaushal 2017-03-08 05:49:39 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.